import { jsx } from "react/jsx-runtime";
import { NetworkSwell as NetworkSwell$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const NetworkSwell = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "Swell", "data-name": "NetworkSwell", ...props, children: /* @__PURE__ */ jsx(NetworkSwell$1, { variant }) });
  }
);
NetworkSwell.displayName = "NetworkSwell";
Object.assign(NetworkSwell, { isGdsIcon: true });
export {
  NetworkSwell
};
